Subject: Re: FVWM: CDE tips?

From: Alan Wild <[email-masked]>
Date: Fri, 24 May 1996 16:43:36 -0400 (EDT)

Mark Borges wrote:
> 
> Anyway, does anyone have any advice concerning CDE they'd like to
> share? Our sysadmin is keen on replacing XDM with CDE. Are there any

Well. . . I have never really played with a CDE based system, but CDE is
mostly based on HP-VUE from what I can tell.

Since two of our HP-UX boxes are loaded with VUE, I had to learn how to
turn it off.  :)  Actually, our system administrator doesn't use VUE
either.

ANYWAY. . . . unless a lot of the internal workings have changed, you
should be able to run fvwm on your system.  Unfortunately, our two
systems run two different versions of VUE, and the process is different
for both.  On our HP-UX 9.05 boxes, the presence of a .xsession file
tells VUE not to start, whereas on our 10.0 box, you have to set
SESSIONTYPE=xdm in your .vueprofile

> pitfalls involved in that? Can I use fvwm under CDE? What about X
> resources? I'm concerned that CDE may somehow over-ride them with some
> others stuck in some ~/.dt/* file.

Since I really have not used a CDE system, I really don't know, but if
anyone else has experience, I would love to hear about it.

-Alan
-- 
Alan Wild                            [email-masked]       
f/s/c lou95                      http://www.spd.louisville.edu/~triangle/
IT-HSC Consultant                 http://www.spd.louisville.edu/~arwild01
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: kendrick vargas <[email-masked]>
Date: Fri, 24 May 1996 16:53:50 -0400 (EDT)

On Fri, 24 May 1996, Mark Borges wrote:

> Well, with the upgrade of our OS to Solaris-2.5 comes this beast known
> as CDE 1.0.0. I've heard of CDE in the past, but this is the first
> I've seen of it in action.
> 
> My impression after a two minute demo: it's a resource pig, seemingly
> spawning off a bazillion `dtwm' processes (unless our sysadmin
> mis-configured it). The available memory on our 128Mb sparc20 hovers
> around 500K now; before CDE was installed it typically was 20Mb.

Imagine running it on sparc classics with 16 MEG RAM... painfully slow...

> One thing it does offer is virtual workspaces, even for mwm-1.x (we
> won't have motif-2.0 for quite some time I'm told). And this thing
> that looks like a dashboard to switch between virtual workspaces;
> reminded me some of cvtwm. And supposedly a way to restore your
> desktop since the last time you logged out -- but it didn't work
> :0. (Isn't there an fvwm module that does something similar, or tries
> to -- FvwmSaveDeskTop?)
> 

In one of the menu options, there is a way to turn CDE off... I don't
exactly know where it is, but I know it exists... It'd be kinda nasty if
it was permanent huh?
			-peace

--====----====----=== http://www.fiu.edu/~kvarga01 ===----====----====--

-- IRC : Drama -- This Space Intentionally Left Blank - [email-masked] --

---

From: Mark Borges <[email-masked]>
Date: Fri, 24 May 1996 13:30:59 -0600

Thanks for any help.

-- 
  -mb-

---

From: Marcin Klimowski <[email-masked]>
Date: Sat, 25 May 1996 13:26:04 +0200

> others stuck in some ~/.dt/* file.

I've read it in some newsgroup.....

================8<==CUT HERE===============================================
Newsgroups: comp.unix.solaris,comp.windows.x.apps
From: [email-masked] (Peter Kim)
Subject: Re: Allowing users to choose FVWM in CDE login screen
Organization: Motorola Japan Cellular Subscriber Division
Date: Wed, 27 Mar 1996 15:46:01 GMT
Message-ID: <[email-masked]>
Followup-To: comp.unix.solaris,comp.windows.x.apps
References: <[email-masked]>

Peter Kim ([email-masked]) wrote:
 
>
> Hi.
>
> Several days ago, I wrote that I was able to add FVWM as a choice for
> CDE login/session screen by creating
> /usr/dt/config/C/Xresources.d/Xresources.fvwm which looks like the
> following:
>
> Dtlogin*altDtsIncrement:        True
>
> Dtlogin*altDtName:      FVWM Desktop
> Dtlogin*altDtKey:       /usr/bin/X11/fvwm
> Dtlogin*altDtStart:     /usr/lib/X11/xdm/Xsession
> Dtlogin*altDtLogo:      Dtlogo
>
> Every time I chose fvwm in the CDE login/session screen, I saw an xterm
> console. I expected to see the FVWM desktop but did not. I then had to
> type fvwm to start FVWM.
>
> What was happening was that when I choose fvwm,
> /usr/dt/config/Xfailsafe ran instead of /usr/lib/X11/xdm/Xsession.
>
> So I am back to the beginning. How can start FVWM from the CDE
> login/session?
>
> Thanks.
>
 
Thanks to [email-masked], now I can choose between
CDE/FVWM/OPENWIN at the CDE login/session screen. All I had to was to
make /usr/lib/X11/xdm/Xsession executable.

--
Peter Kim                             Motorola Cellular Subscriber Group
PHONE: 847/523-3127                   IL93, AS320
FAX  : 847/523-8534                   600 North U.S. Highway 45
EMAIL: [email-masked]          Libertyville, IL 60048
------- End of forwarded message -------

================8<==CUT HERE=================================================

Marcin;)

-- 
------------------------------------------------------------------------------
Marcin Klimowski    |  [email-masked]  | hit ANY user to continue
..it's de facto >>--| http://www.pk.edu.pl/~marcin |-->> 4 line only sig....
------------------------------------------------------------------------------
Microsoft Network is prohibited from redistributing this work in any
form, in whole or in part.  (C) marcin 1995
------------------------------------------------------------------------------
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].